Name:		qjackctl
Version:	0.4.4
Release:	%mkrel 1
Summary:	A QT GUI for the jack audio daemon
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://qjackctl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	qttools5
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	jackit >= 0.90.0

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q

%build
%configure2_5x \
	--enable-jack-version \
	--enable-debug

%make_build

%install
%make_install

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/*/*/*/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Nov 17 2016 daviddavid <daviddavid> 0.4.4-1.mga6
+ Revision: 1067994
- new version: 0.4.4

* Tue Sep 20 2016 daviddavid <daviddavid> 0.4.3-1.mga6
+ Revision: 1054702
- new version: 0.4.3

* Wed Apr 06 2016 daviddavid <daviddavid> 0.4.2-1.mga6
+ Revision: 998829
- new version: 0.4.2

* Tue Feb 16 2016 umeabot <umeabot> 0.4.1-2.mga6
+ Revision: 962511
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 daviddavid <daviddavid> 0.4.1-1.mga6
+ Revision: 896396
- new version: 0.4.1
- remove merged upstream patch
- update BuildRequires list

* Sat Sep 05 2015 daviddavid <daviddavid> 0.4.0-1.mga6
+ Revision: 873076
- new version: 0.4.0
- build with Qt5
- update Source URL
- switch BuildRequires to pkgconfig()
- remove keys "X-SuSE-translate" and "Version" from desktop file

  + ycantin <ycantin>
    - new version 0.3.13
    - fix file list
    - enable debug for debuginfo package

* Sun Jun 21 2015 wally <wally> 0.3.12-1.mga6
+ Revision: 837600
- new version 0.3.12

* Wed Dec 24 2014 wally <wally> 0.3.9-8.mga5
+ Revision: 805411
- use configure2_5x macro
- move translations to a better place
- update URL

* Wed Oct 15 2014 umeabot <umeabot> 0.3.9-7.mga5
+ Revision: 743661
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.9-6.mga5
+ Revision: 730078
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.9-5.mga5
+ Revision: 688489
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.9-4.mga4
+ Revision: 517857
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.9-3.mga3
+ Revision: 379834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 0.3.9-2.mga3
+ Revision: 322118
- Changed group in line with new policy
- Corrected  desktop file categories
- minor spec clean

* Fri Jun 08 2012 shlomif <shlomif> 0.3.9-1.mga3
+ Revision: 257637
- New version - 0.3.9 - thanks to Mandriva's package for some changes

* Fri Apr 08 2011 ennael <ennael> 0.3.6-2.mga1
+ Revision: 82135
- clean spec file
- imported package qjackctl

